Trying to set up GMAIL email-server. Failing

Issue Summary

We’re trying to set up an email-server , using GMAIL.
(redash@ridewithvia.com)

We’ve tried all possible combinations of [tls, ssl, host, port ] , but not succeeding.
here are our attempts + responses :

attempt: (True, False, ‘smtp.gmail.com’, 587)
Response: smtplib.SMTPAuthenticationError: (535, '5.7.8 Username and Password not accepted. Learn more at\n5.7.8 https://support.google.com/mail/?p=BadCredentials h13sm3674963qtu.23 - gsmtp')

attempt: (True, False, ‘smtp.gmail.com’, 465)
response: smtplib.SMTPServerDisconnected: Connection unexpectedly closed

attempt: (False, False, ‘smtp.gmail.com’, 465)
response: smtplib.SMTPServerDisconnected: Connection unexpectedly closed

attempt: (True, True, ‘smtp.gmail.com’, 465)
response: smtplib.SMTPException: STARTTLS extension not supported by server.

attempt: (False, True, ‘smtp.gmail.com’, 465)
response: smtplib.SMTPAuthenticationError: (535, '5.7.8 Username and Password not accepted. Learn more at\n5.7.8 https://support.google.com/mail/?p=BadCredentials x4sm3491709qkx.33 - gsmtp')

attempt: (False, False, ‘smtp.gmail.com’, 587)
response: smtplib.SMTPException: SMTP AUTH extension not supported by server.

attempt: (False, True, ‘smtp.gmail.com’, 587)
response: ssl.SSLError: [SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:727)

attempt: (True, True, ‘smtp.gmail.com’, 587)
response: ssl.SSLError: [SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:727)

@arikfr would love your kind help:)

Technical details:

  • Redash Version: 8
  • Browser/OS:
  • How did you install Redash: Image

Can you confirm that you’re following the steps described here: https://redash.io/help/open-source/setup i.e. you’re editing the file /opt/redash/env and setting the appropriate environment variable values there?